package com.yeejoin.amos.supervision.business.dto;

import java.util.Collection;

public class DepartmentDto {

    private String sequenceNbr;

    private String departmentName;

    private String departmentDesc;

    private String companySeq;

    private String parentId;

    private String level;

    private String levelName;

    private Integer deptOrgCode;

    private String orgCode;

    private String agencyCode;

    private Collection children;

    public String getSequenceNbr() {
        return sequenceNbr;
    }

    public void setSequenceNbr(String sequenceNbr) {
        this.sequenceNbr = sequenceNbr;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentDesc() {
        return departmentDesc;
    }

    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    public String getCompanySeq() {
        return companySeq;
    }

    public void setCompanySeq(String companySeq) {
        this.companySeq = companySeq;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Integer getDeptOrgCode() {
        return deptOrgCode;
    }

    public void setDeptOrgCode(Integer deptOrgCode) {
        this.deptOrgCode = deptOrgCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getAgencyCode() {
        return agencyCode;
    }

    public void setAgencyCode(String agencyCode) {
        this.agencyCode = agencyCode;
    }

    public Collection getChildren() {
        return children;
    }

    public void setChildren(Collection children) {
        this.children = children;
    }
}